Skip to main content
POST
/
api
/
end_users
/
{end_user_id_or_heron_id}
/
merchant_feedback
/
revert
Revert merchant feedback for an end user
curl --request POST \
  --url https://app.herondata.io/api/end_users/{end_user_id_or_heron_id}/merchant_feedback/revert \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "transaction_heron_ids": [
    "txn_YSQNyYzDRzuAZ32YUcUNW7"
  ]
}
'
{
  "reverted": [
    "<string>"
  ],
  "skipped": [
    "<string>"
  ]
}

Authorizations

x-api-key
string
header
required

Path Parameters

end_user_id_or_heron_id
string
required

Body

application/json

List of transaction heron IDs to revert merchant feedback

transaction_heron_ids
string[]
required

List of transaction heron IDs to revert merchant feedback

Response

200 - application/json

OK

reverted
string[]

List of transaction heron IDs that were reverted

skipped
string[]

List of transaction heron IDs that were skipped